Manage orders - Get subscription transaction history
Retrieves transaction history for a customer's subscription.
GET https://api.partnercenter.microsoft.com/v{version}/customers/{customer_id}/subscriptions/{subscription_id}/History
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
customer_id
|
path | True |
string |
The customer's Microsoft Entra tenant identifier. |
|
subscription_id
|
path | True |
string |
The GUID that identifies the subscription. |
|
version
|
path | True |
string |
The Partner Center API version. Use v1. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Authorization | True |
string |
Authorization Bearer token |
| ms-correlationid |
string |
Used for tracking requests internally. If a ms-correlationid is not provided, the server will generate a new one for each request |
|
| ms-cv |
string |
Used for tracking requests internally. If a ms-cv is not provided, the server will generate a new one for each request |
|
| ms-requestid |
string |
Used for idempotency of requests. If a ms-requestid is not provided, the server will generate a new one for each request |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request was successful. The response body contains the subscription transaction history records. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
|
| 400 Bad Request |
There was a missing or an invalid input. The response body will provide the error details. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
|
| 401 Unauthorized |
The request was not authenticated. The client needs to authenticate with the partner API service first. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
|
| 403 Forbidden |
The request was authenticated but was refused since the caller does not have the rights to invoke it. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
|
| 404 Not Found |
The resource is not found or not available with the given input parameters. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
|
| 500 Internal Server Error |
The partner API service or one of its dependencies failed to fulfill the request. Callers may retry this. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Definitions
SubscriptionHistory
Represents a subscription history resource.
| Name | Type | Description |
|---|---|---|
| alternateId |
string |
The alternate identifier associated with the subscription transaction. |
| currency |
string |
The three-letter ISO currency code. |
| id |
string |
The identifier of the subscription transaction history record. |
| lineItemId |
string |
The identifier of the subscription line item associated with the transaction. |
| quantity |
integer (int32) |
The number of units. |
| transactionDate |
string (date-time) |
The transaction date for the subscription history. Uses ISO 8601 date-time format. |
| transactionPrice |
number (double) |
The transaction price for the subscription history. |
| transactionType |
string |
The transaction type for the subscription history. |